<?php 

$wp_customize->add_section( 'fondness_pro_home_layout', array(
	'title'             => esc_html__( 'Home Page Layout','fondness-pro' ),
	'description'       => esc_html__( 'Home Page Layout option.', 'fondness-pro' ),
	'panel'             => 'fondness_pro_front_page_panel',
) );


$wp_customize->add_setting( 'fondness_pro_theme_options[home_layout]', array(
		'default'           => $options['home_layout'],
		'sanitize_callback' => 'fondness_pro_sanitize_select',
		'transport'			=> 'refresh'
	) );

$wp_customize->add_control( 'fondness_pro_theme_options[home_layout]', array(
	'type'				=> 'radio',
	'label'             => esc_html__( 'Select Homepage layout', 'fondness-pro' ),
	'section'           => 'fondness_pro_home_layout',
	'choices'				=> array(
		'all-design'     		 => esc_html__( 'All  Design', 'fondness-pro' ),
		'default-design'     	 => esc_html__( 'Pro Design', 'fondness-pro' ),
		'second-design'      	 => esc_html__( 'Business Design', 'fondness-pro' ),
		'fourth-design'      	 => esc_html__( 'Education Design', 'fondness-pro' ),
		'fifth-design'      	 => esc_html__( 'Blog Design', 'fondness-pro' ),
		)
) );

foreach ( array( 'all', 'default', 'second', 'fourth', 'fifth' ) as $list) {
	// Site layout setting and control.
	$wp_customize->add_setting( 'fondness_pro_theme_options['.$list.'_sortable]', array(
		'default'			  => $options[$list.'_sortable'],
		'sanitize_callback'   => 'fondness_pro_sanitize_sortable',
	) );

	$wp_customize->add_control( new Fondness_Pro_Customize_Sortable_Control ( $wp_customize, 'fondness_pro_theme_options['.$list.'_sortable]', array(
		'label'               => esc_html__( 'Sortable Homepage', 'fondness-pro' ),
		'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'fondness-pro' ),
		'section'             => 'fondness_pro_home_layout',
		'type'                => 'sortable',
		'choices'			  => fondness_pro_sortable_sections(),
		'active_callback'	  => 'fondness_pro_is_'.$list.'_layout'

	) ) );
}
