<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Fondness Pro
 * @since Fondness Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'fondness_pro_menu', array(
	'title'             => esc_html__('Header Menu','fondness-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'fondness-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'fondness_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'fondness-pro' ),
	'section'           => 'fondness_pro_menu',
	'on_off_label' 		=> fondness_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'fondness_pro_theme_options[search_icon]', array(
	'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
	'default'           => $options['search_icon'],
) );

$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[search_icon]', array(
	'label'             => esc_html__( 'Enable Search', 'fondness-pro' ),
	'section'           => 'fondness_pro_menu',
	'on_off_label' 		=> fondness_pro_switch_options(),
) ) );

// Social menu  enable control and setting
$wp_customize->add_setting( 'fondness_pro_theme_options[social_menu_enable]', array(
	'default'			=> 	$options['social_menu_enable'],
	'sanitize_callback' => 'fondness_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Fondness_Pro_Switch_Control( $wp_customize, 'fondness_pro_theme_options[social_menu_enable]', array(
	'label'             => esc_html__( 'Enable Social menu', 'fondness-pro' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'fondness-pro' ), esc_html__( 'Click Here', 'fondness-pro' ), esc_html__( 'to create menu', 'fondness-pro' ) ),
	'section'           => 'fondness_pro_menu',
	'on_off_label' 		=> fondness_pro_switch_options(),
) ) );

// About Us content type control and setting
$wp_customize->add_setting( 'fondness_pro_theme_options[menu_transparent]', array(
	'default'          	=> $options['menu_transparent'],
	'sanitize_callback' => 'fondness_pro_sanitize_select',
) );

$wp_customize->add_control( 'fondness_pro_theme_options[menu_transparent]', array(
	'label'             => esc_html__( 'Menu Transparent', 'fondness-pro' ),
	'section'           => 'fondness_pro_menu',
	'type'				=> 'select',
	'choices'			=> array(
            'absolute-header'     	=> esc_html__( 'Whole Site', 'fondness-pro' ),
            ''			  			=> esc_html__( 'Homepage Only', 'fondness-pro' ),
            'disable-absolute'		=> esc_html__( 'Disable on whole site', 'fondness-pro' ),
        )
) );
