<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Fondness Pro
* @since Fondness Pro 1.0.0
*/

if ( ! function_exists( 'fondness_pro_validate_long_excerpt' ) ) :
  function fondness_pro_validate_long_excerpt( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 5 ) {
		 $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'fondness-pro' ) );
	 } elseif ( $value > 100 ) {
		 $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_slider_count' ) ) :
  function fondness_pro_validate_slider_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'fondness-pro' ) );
	 } elseif ( $value > 20 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 20', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_about_count' ) ) :
  function fondness_pro_validate_about_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'fondness-pro' ) );
	 } elseif ( $value > 2 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 2', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_testimonial_count' ) ) :
  function fondness_pro_validate_testimonial_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'fondness-pro' ) );
	 } elseif ( $value > 20 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 20', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_work_count' ) ) :
  function fondness_pro_validate_work_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'fondness-pro' ) );
	 } elseif ( $value > 100 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 100', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_latest_posts_count' ) ) :
  function fondness_pro_validate_latest_posts_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'fondness-pro' ) );
	 } elseif ( $value > 30 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 30', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_instagram_count' ) ) :
  function fondness_pro_validate_instagram_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'fondness-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_counter_count' ) ) :
  function fondness_pro_validate_counter_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'fondness-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_service_count' ) ) :
  function fondness_pro_validate_service_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'fondness-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_team_count' ) ) :
  function fondness_pro_validate_team_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'fondness-pro' ) );
	 } elseif ( $value > 30 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 30', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_gallery_count' ) ) :
  function fondness_pro_validate_gallery_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'fondness-pro' ) );
	 } elseif ( $value > 50 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 50', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_featured_posts_count' ) ) :
  function fondness_pro_validate_featured_posts_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'fondness-pro' ) );
	 } elseif ( $value > 30 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 30', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'fondness_pro_validate_popular_posts_count' ) ) :
  function fondness_pro_validate_popular_posts_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'fondness-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'fondness-pro' ) );
	 } elseif ( $value > 30 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 30', 'fondness-pro' ) );
	 }
	 return $validity;
  }
endif;