<?php
/**
 * Instagram section
 *
 * This is the template for the content of instagram section
 *
 * @package Theme Palace
 * @subpackage Fondness Pro
 * @since Fondness Pro 1.0.0
 */
if ( ! function_exists( 'fondness_pro_add_instagram_section' ) ) :
    /**
    * Add instagram section
    *
    *@since Fondness Pro 1.0.0
    */
    function fondness_pro_add_instagram_section() {
    	$options = fondness_pro_get_theme_options();
        // Check if instagram is enabled on frontpage
        $instagram_enable = apply_filters( 'fondness_pro_section_status', true, 'instagram_section_enable' );

        if ( true !== $instagram_enable ) {
            return false;
        }

        // Render instagram section now.
        fondness_pro_render_instagram_section();
    }
endif;

if ( ! function_exists( 'fondness_pro_render_instagram_section' ) ) :
  /**
   * Start instagram section
   *
   * @return string instagram content
   * @since Fondness Pro 1.0.0
   *
   */
   function fondness_pro_render_instagram_section() {
        $options = fondness_pro_get_theme_options();
        ?>
        <div id="fondness_pro_instagram_section">
          <div id="instagram" class="page-section">
                <div class="wrapper">
                <?php if ( is_customize_preview()): ?>
                        <?php fondness_pro_section_tooltip( 'instagram' ); ?>
                    <?php endif ?>
                    <div class="instagram-wrapper col-6">
                       <?php echo do_shortcode( '[instagram-feed]' ); ?>
                    </div>
                </div>
            </div>

        </div>
        

    <?php }
endif;